package com.liangjian.dataplatform.member.entity.po.primary;

import com.liangjian.dataplatform.member.entity.po.BasicEntity;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.Column;
import javax.persistence.Entity;

/**
 * @Author: 黄子奇
 * @Date: 2019/9/23 17:03
 */
@Entity(name = "features_info")
public class FeatureInfo extends BasicEntity {
    @ApiModelProperty("功能名称")
    private String name;

    @ApiModelProperty("功能链接")
    @Column(columnDefinition = "TEXT")
    private String url;

    @ApiModelProperty("功能描述")
    @Column(columnDefinition = "TEXT")
    private String descrition;

    @ApiModelProperty("版本号")
    private String version;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getDescrition() {
        return descrition;
    }

    public void setDescrition(String descrition) {
        this.descrition = descrition;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }
}
